%define oname goocanvas

%define major		9
%define api		2.0
%define gmajor		2.0
%define libname		%mklibname %{oname} %{api} %{major}
%define develname	%mklibname -d %{oname} %{api}
%define girname		%mklibname %{oname}-gir %{gmajor}

%define url_ver %{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Name:		goocanvas2
Version:	2.0.4
Release:	%mkrel 6
Summary:	New canvas widget for GTK+ that uses the cairo 2D library
Group:		Development/GNOME and GTK+
License:	LGPL+
URL:		https://sourceforge.net/projects/goocanvas
Source:		https://download.gnome.org/sources/%{oname}/%{url_ver}/%{oname}-%{version}.tar.xz
Patch:		goocanvas2-fix-building-with-gcc14.patch
BuildRequires:	pkgconfig(cairo) >= 1.10.0
BuildRequires:	pkgconfig(glib-2.0) >= 2.28.0
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.0.0
BuildRequires:	gnome-doc-utils
BuildRequires:	intltool
BuildRequires:	pkgconfig(gobject-introspection-1.0)

%description
GooCanvas is a new canvas widget for GTK+ that uses the cairo 2D library for 
drawing. It has a model/view split, and uses interfaces for canvas items and 
views, so you can easily turn any application object into canvas items.

%package -n %{libname}
Summary:	New canvas widget for GTK+ that uses the cairo 2D library
Group:		System/Libraries
Requires:	%{name}-i18n >= %{version}
Provides:	lib%{name} = %{version}-%{release}
Obsoletes:	%{_lib}goocanvas-2.0_9 < 2.0.1

%description -n %{libname}
This package contains the shared library for goocanvas.

%package i18n
Summary:	New canvas widget for GTK+ that uses the cairo 2D library
Group:		System/Internationalization
BuildArch:	noarch

%description i18n
This package contains the translations for goocanvas.

%package -n %{develname}
Summary:	New canvas widget for GTK+ that uses the cairo 2D library
Group:		Development/GNOME and GTK+
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{_lib}goocanvas-2.0-devel < 2.0.1

%description -n %{develname}
This package contains the development libraries, include files 
and documentation.

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%prep
%setup -q -n %{oname}-%{version}
%autopatch -p1

%build
%configure \
	--enable-introspection=yes \
	--disable-static
%make_build

%install
%make_install

rm -f %{buildroot}%{_libdir}/*.la

%find_lang %{name}

%files -n %{libname}
%doc README COPYING AUTHORS
%{_libdir}/lib%{oname}-%{api}.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/GooCanvas-%{gmajor}.typelib

%files i18n -f %{name}.lang

%files -n %{develname}
%doc %{_datadir}/gtk-doc/html/%{name}
%{_includedir}/%{oname}-%{api}
%{_libdir}/lib%{oname}-%{api}.so
%{_libdir}/pkgconfig/*
%{_datadir}/gir-1.0/GooCanvas-%{gmajor}.gir


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 2.0.4-6.mga10
+ Revision: 2228942
- Mageia 10 Mass Rebuild

* Wed Oct 16 2024 ns80 <ns80> 2.0.4-5.mga10
+ Revision: 2107286
- try to fix building with GCC 14

* Wed Mar 30 2022 umeabot <umeabot> 2.0.4-4.mga9
+ Revision: 1835058
- Mageia 9 Mass Rebuild
+ danf <danf>
- Switch URLs from http: to https:

* Thu Feb 13 2020 umeabot <umeabot> 2.0.4-3.mga8
+ Revision: 1512689
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 2.0.4-2.mga7
+ Revision: 1298031
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use new make macros

* Wed Oct 11 2017 ovitters <ovitters> 2.0.4-1.mga7
+ Revision: 1170871
- new version 2.0.4

* Thu Aug 31 2017 ovitters <ovitters> 2.0.3-1.mga7
+ Revision: 1149913
- new version 2.0.3

* Thu Feb 11 2016 umeabot <umeabot> 2.0.2-6.mga6
+ Revision: 954184
- Mageia 6 Mass Rebuild

* Mon Jun 29 2015 wally <wally> 2.0.2-5.mga6
+ Revision: 847398
- add requires for gir pkg to devel pkg

* Wed Oct 15 2014 umeabot <umeabot> 2.0.2-4.mga5
+ Revision: 742569
- Second Mageia 5 Mass Rebuild

* Sun Sep 28 2014 tv <tv> 2.0.2-3.mga5
+ Revision: 731152
- rebuild so that it picks typelib() requires

* Tue Sep 16 2014 umeabot <umeabot> 2.0.2-2.mga5
+ Revision: 679886
- Mageia 5 Mass Rebuild

* Tue Nov 05 2013 ovitters <ovitters> 2.0.2-1.mga4
+ Revision: 549722
- new version 2.0.2

* Sat Oct 19 2013 umeabot <umeabot> 2.0.1-5.mga4
+ Revision: 529159
- Mageia 4 Mass Rebuild

* Sat Jul 06 2013 fwang <fwang> 2.0.1-4.mga4
+ Revision: 450565
- fix linkage
- add upstream patch to fix building

* Sat Jan 12 2013 umeabot <umeabot> 2.0.1-4.mga3
+ Revision: 352431
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Feb 14 2012 ovitters <ovitters> 2.0.1-3.mga2
+ Revision: 208792
- clean spec

* Mon Oct 10 2011 wally <wally> 2.0.1-2.mga2
+ Revision: 153676
- enable introspection

* Mon Oct 10 2011 wally <wally> 2.0.1-1.mga2
+ Revision: 153670
- new version 2.0.1
- fix pkg names
- clean .spec a bit

* Sat Sep 24 2011 fwang <fwang> 2.0.0-2.mga2
+ Revision: 147256
- drop .la files

* Fri Jul 08 2011 ahmad <ahmad> 2.0.0-1.mga2
+ Revision: 120219
- imported package goocanvas2

